Package org.apache.maven.scm

## Class ChangeFile

- java.lang.Object
- - org.apache.maven.scm.ChangeFile

All Implemented Interfaces:
  `java.io.Serializable`

    public class ChangeFile
    extends java.lang.Object
    implements java.io.Serializable

A set of information about revisions of a file as returned by CVS's log command

Author:
  dIon Gillard , Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ChangeFile​(java.lang.String name)` Constructor for the ChangeFile object without all details available
`ChangeFile​(java.lang.String name, java.lang.String rev)` Constructor for the ChangeFile object

### Method Summary

All Methods Instance Methods Concrete Methods
`ScmFileStatus` `getAction()`
`java.lang.String` `getName()` Gets the name attribute of the ChangeLogFile object.
`java.lang.String` `getOriginalName()`
`java.lang.String` `getOriginalRevision()`
`java.lang.String` `getRevision()` Gets the revision attribute of the ChangeLogFile object.
`void` `setAction​(ScmFileStatus action)`
`void` `setName​(java.lang.String name)` Setter for property name.
`void` `setOriginalName​(java.lang.String originalName)`
`void` `setOriginalRevision​(java.lang.String originalRevision)`
`void` `setRevision​(java.lang.String revision)` Setter for property revision.
`java.lang.String` `toString()` Provide a version of the object as a string for debugging purposes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChangeFile

    public ChangeFile​(java.lang.String name)

Constructor for the ChangeFile object without all details available

Parameters:
  `name` - file name

#### ChangeFile

    public ChangeFile​(java.lang.String name,
                      java.lang.String rev)

Constructor for the ChangeFile object

Parameters:
  `name` - file name
  `rev` - latest revision of the file

### Method Detail

#### getName

    public java.lang.String getName()

Gets the name attribute of the ChangeLogFile object.

Returns:
  the file name

#### setName

    public void setName​(java.lang.String name)

Setter for property name.

Parameters:
  `name` - New value of property name.

#### getOriginalName

    public java.lang.String getOriginalName()

#### setOriginalName

    public void setOriginalName​(java.lang.String originalName)

#### getOriginalRevision

    public java.lang.String getOriginalRevision()

#### setOriginalRevision

    public void setOriginalRevision​(java.lang.String originalRevision)

#### getRevision

    public java.lang.String getRevision()

Gets the revision attribute of the ChangeLogFile object.

Returns:
  the latest revision of the file

#### setRevision

    public void setRevision​(java.lang.String revision)

Setter for property revision.

Parameters:
  `revision` - New value of property revision.

#### getAction

    public ScmFileStatus getAction()

#### setAction

    public void setAction​(ScmFileStatus action)

#### toString

    public java.lang.String toString()

Provide a version of the object as a string for debugging purposes

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  a `String`made up of the properties of the object